## cascading.operation.aggregator
Class Max

    java.lang.Object
      cascading.operation.BaseOperation<ExtremaBase.Context>
          cascading.operation.aggregator.ExtremaBase
              cascading.operation.aggregator.Max

All Implemented Interfaces:
  DeclaresResults, Aggregator<ExtremaBase.Context>, Operation<ExtremaBase.Context>, Traceable, Serializable

Deprecated.

    @Deprecated
    public class Max

extends ExtremaBase

Class Max is an `Aggregator` that returns the maximum value encountered in the current group.

This class assumes the argument values is a `Number`, or a `String` representation of a number.

See `MaxValue` to find the max of any `Comparable` type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.operation.aggregator.ExtremaBase
`ExtremaBase.Context`

Field Summary
`static String` `FIELD_NAME` Deprecated. Field FIELD_NAME

Fields inherited from class cascading.operation.aggregator.ExtremaBase
`ignoreValues`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`Max()` Deprecated. Constructs a new instance that returns the maximum value encountered in the field name "max".
`Max(Fields fieldDeclaration)` Deprecated. Constructs a new instance that returns the maximum value encountered in the given fieldDeclaration field name.
`Max(Fields fieldDeclaration, Object... ignoreValues)` Deprecated. Constructs a new instance that returns the maximum value encountered in the given fieldDeclaration field name.

Method Summary
`protected boolean` `compare(Number lhs, Number rhs)` Deprecated.
`protected double` `getInitialValue()` Deprecated.

Methods inherited from class cascading.operation.aggregator.ExtremaBase
`aggregate, complete, equals, getIgnoreValues, getResult, hashCode, prepare, start`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

Field Detail

### FIELD_NAME

    public static final String FIELD_NAME

  Deprecated.
  Field FIELD_NAME

  See Also:
    Constant Field Values

Constructor Detail

### Max

    public Max()

  Deprecated.
  Constructs a new instance that returns the maximum value encountered in the field name "max".

### Max

    @ConstructorProperties(value="fieldDeclaration")
    public Max(Fields fieldDeclaration)

  Deprecated.
  Constructs a new instance that returns the maximum value encountered in the given fieldDeclaration field name.

  Parameters:
    `fieldDeclaration` - of type Fields

### Max

    @ConstructorProperties(value={"fieldDeclaration","ignoreValues"})
    public Max(Fields fieldDeclaration,
                                          Object... ignoreValues)

  Deprecated.
  Constructs a new instance that returns the maximum value encountered in the given fieldDeclaration field name. Any argument matching an ignoredValue won't be compared.

  Parameters:
    `fieldDeclaration` - of type Fields
    `ignoreValues` - of type Object...

Method Detail

### compare

    protected boolean compare(Number lhs,
                              Number rhs)

  Deprecated.
  Specified by:
    `compare` in class `ExtremaBase`

### getInitialValue

    protected double getInitialValue()

  Deprecated.
  Specified by:
    `getInitialValue` in class `ExtremaBase`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.